<div class="msg-pop">
  <h3 style="background-color: #211c47">Send Messaging</h3>
  <div>
    <div class="pop--inner">
      <p>Message type - <strong>PRIVATE MESSAGE</strong> </p>
      <div *ngIf="vehicleData._id" class="driver-select2-result-container">
        <div class="driver-select2-result-info-image">
          <img class="img-rounded" src="../../../../../assets/img/1428584997LEXUS_ES350.jpg" width="40px" height="40px"  alt="car">
        </div>
        <div class="driver-select2-result-info-content">
          <p><strong>{{vehicleData.display_name}}</strong></p>
          <p></p>
          <p>ID {{vehicleData._id}} / {{vehicleData.vehicle_model_id.name}}</p>
        </div>
      </div>
      <p></p>
      <form novalidate (ngSubmit)="onSubmit()" #f="ngForm">
        <div class="form-outer a">
          <mat-select [(ngModel)]="device_status" (change)="onSelectStatus($event)" name="device_status"
            class="form-control" placeholder="Device in status">
            <mat-option *ngIf="vehicleData._id" value="">None</mat-option>
            <mat-option value=1> OFFLINE </mat-option>
            <mat-option value="3"> OCCUPIED </mat-option>
            <mat-option value="5">FREE </mat-option>
            <mat-option value="6"> BOOKED </mat-option>
            <mat-option value="7"> DRIVER GROUPS </mat-option>
            <mat-option value="8"> CUSTOM </mat-option>
          </mat-select>
          <span class="device-list-count" *ngIf="vehiclesLength!=''">{{this.vehiclesLength}}</span>
          <a (click)="clearStatus()" style="cursor: pointer"><i aria-hidden="true" class="fa fa-times"></i></a>
        </div>
        <div class="fm-row *2@!23E" *ngIf='showdropdown'>
          <div class="predef-msg form-outer a">
            <mat-select [(ngModel)]="driver_groups" id="driver_groups" name="driver_groups" class="form-control"
              placeholder="Driver Groups" #f="ngModel" required>
              <mat-option *ngFor=" let group of driverGroupData" [value]='group._id'> {{group.name}} </mat-option>
            </mat-select>
          </div>
          <div *ngIf="f.invalid && (f.dirty || f.touched)" class="alert alert-danger">

            <div *ngIf="f.errors.required">
              Driver Groups is required.
            </div>
          </div>
        </div>
        <div class="fm-row *2@!23E" *ngIf='showModel'>
          <div class="predef-msg form-outer autocomplete-field-container">
            <mat-chip-list #chipList2>
              <mat-chip *ngFor="let vehicle of vehicleFilter" selectable="true" removable="true"
                (removed)="removeVehicle(vehicle)" style="font-size:10px;">
                {{ vehicle }}
                <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
              </mat-chip>
              <input class="form-control" [formControl]="queryField" placeholder="Side Number"
                [matChipInputFor]="chipList2" [matAutocomplete]="auto3">
            </mat-chip-list>
            <mat-autocomplete #auto3="matAutocomplete" [displayWith]="displayFnside"
              (optionSelected)="vehicleSelected($event)">
              <mat-option *ngFor="let vehicle of selectVehicleData" [value]="vehicle">
                {{ vehicle.vehicle_identity_number }}
              </mat-option>
              <mat-option *ngIf="selectVehicleData?.length==0">No Matches Found</mat-option>
            </mat-autocomplete>
          </div>
          &nbsp;
          <div style="margin-bottom:10px;">
            <div id="multi">
              <div class="chip-holder" *ngIf="modelFilter.length>0">
                <div *ngFor="let cat of modelFilter;let i=index">
                  <span *ngIf="i<2" class="mul-option">{{cat.name | removeSpace}}<i aria-hidden="true"
                      (click)="removeMultiSelect(cat,2)">X</i></span>
                </div>
                <div *ngIf="modelFilter.length>2">
                  <span class="mul-option">{{modelFilter.length-2}}+</span>
                </div>
              </div>
              <input matInput placeholder="Select Vehicle Model" ngModel [ngModelOptions]="{standalone: true}"
                (ngModelChange)="setModelFilter($event)" [matAutocomplete]="Models"
                [ngClass]="{'radius':modelFilter.length>0,'left':modelFilter.length>0}" />
              <mat-autocomplete #Models="matAutocomplete" [displayWith]="displayFnModel">
                <mat-option *ngFor="let data of modelList" [value]="data">
                  {{data.name}}
                </mat-option>
                <mat-option *ngIf="modelList?.length == 0">No Matches Found</mat-option>
              </mat-autocomplete>
            </div>
          </div>
          <div class="a">
            <input placeholder="Select Driver" class="form-control" name="driverFilter"
              (ngModelChange)="setDriverFilter($event)" [(ngModel)]="driverFilter" [formControl]="drivers"
              aria-label="Drivers" [matAutocomplete]="Drivers">
            <mat-autocomplete #Drivers="matAutocomplete" [displayWith]="displayFnDriver">
              <mat-option *ngFor="let driver of selectDriverData" [value]="driver">
                <div class="option-otr">
                  <div class="option_span">
                    <strong> Username:</strong> {{ driver.username }}</div>
                  <div class="option_span" title="{{ driver.name }} &nbsp;{{ driver.surname }}">
                    <strong>Name&Surname:</strong>{{ driver.name }} &nbsp;{{ driver.surname }}</div>
                  <div class="option_span">
                    <strong>Display Name:</strong>{{ driver.display_name }}</div>
                </div>
              </mat-option>
            </mat-autocomplete>
          </div>
          <div style="margin:10px auto;">
            <div id="multi">
              <div class="chip-holder" *ngIf="vehicleCategoryFilter.length>0">
                <div *ngFor="let cat of vehicleCategoryFilter;let i=index">
                  <span *ngIf="i<2" class="mul-option">{{cat.name | removeSpace}}<i aria-hidden="true"
                      (click)="removeMultiSelect(cat,3)">X</i></span>
                </div>
                <div *ngIf="vehicleCategoryFilter.length>2">
                  <span class="mul-option">{{vehicleCategoryFilter.length-2}}+</span>
                </div>
              </div>
              <input matInput placeholder="Select Vehicle Category" ngModel [ngModelOptions]="{standalone: true}"
                (ngModelChange)="setVehicleCategoryFilter($event)" [matAutocomplete]="catModel"
                [ngClass]="{'radius':vehicleCategoryFilter.length>0,'left':vehicleCategoryFilter.length>0}" />
              <mat-autocomplete #catModel="matAutocomplete" [displayWith]="displayFnModel">
                <mat-option *ngFor="let data of vehicleCategoryList" [value]="data">
                  {{data.name}}
                </mat-option>
                <mat-option *ngIf="vehicleCategoryList?.length == 0">No Matches Found</mat-option>
              </mat-autocomplete>
            </div>
          </div>
        </div>
        <div class="fm-row *2@!23E;" *ngIf="dtc">
          <mat-select [(ngModel)]="companyIdFilter" placeholder="Company" class="form-control" [ngModelOptions]="{standalone: true}" multiple>
            <mat-option (click)="companyManualSelect()" *ngFor="let company of companyData" [value]="company._id">
              {{company.company_name}}
            </mat-option>
          </mat-select>
        </div>

        <div class="fm-row *2@!23E">
          <div class="predef-msg form-outer a">
            <mat-select [(ngModel)]="predefined_message" name="predefined_message" class="form-control"
              (change)="OnSelectPredefine($event)" placeholder="Predefined Message">
              <mat-option *ngFor="let data of predefineMessages" [value]='data.message_content'>
                {{data.message_content}} </mat-option>
            </mat-select>
          </div>
        </div>



        <div class="txtmsg-outer">
          <textarea class="textarea-bdr" type="text" [(ngModel)]="message" id="message" name="message"
            placeholder="Message" #f="ngModel" required>
   </textarea>
          <div *ngIf="f.invalid && (f.dirty || f.touched)" class="alert alert-danger">
            <div *ngIf="f.errors.required">
              Message body is required.
            </div>
          </div>
        </div>
        <div>
          <div class="span9">
            <div class="form-inline" style="margin-bottom:5px">
              <label class="checkbox">
                <i aria-hidden="true" class="fa fa-info-circle"></i>
                <input class="msg_validity" [(ngModel)]="validity_check" name="validity_check" type="checkbox">
                Message validity (stays saved on device for selected hours)
              </label>

              <mat-form-field class="msg-validity">
                <mat-select [(ngModel)]="validity" name="validity" class="form-control">
                  <mat-option value="24"> 24h </mat-option>
                  <mat-option value="48"> 48h </mat-option>
                </mat-select>
              </mat-form-field>
            </div>
            <label class="checkbox-popup">
              <i aria-hidden="true" class="fa fa-comment-o"></i>
              <input class="msg_popup" [(ngModel)]="popup" name="popup" type="checkbox">
              Popup message (displayed immediately)
            </label>
            <label class="checkbox-enable">
              <i aria-hidden="true" class="fa fa-reply-all"></i>
              <input class="msg_reply" [(ngModel)]="enable_reply" name="enable_reply" type="checkbox">
              Enable reply for this message
            </label>
          </div>
        </div>

        <div class="pop-btn">
          <input type="submit" [disabled]="f.invalid || disableSendmMsg" class="btn btn-primary reset-blue"
            value="Send Message">
          <span *ngIf="disableSendmMsg">
            <img src="assets/img/loader.gif" style="height: 22px;"  alt="loader"/>
          </span>
          <input class="btn btn-default close-btn" value="Close" type="button" (click)="closePop()">
        </div>
      </form>
    </div>
  </div>
</div>